#include "NonEmptyList.h"

NonEmptyList::NonEmptyList (string f, List *r)
{
	first = f;
	rest = r;
}
NonEmptyList::NonEmptyList (const NonEmptyList &other)
{
	first = other.first;
	rest = other.rest;
}

string NonEmptyList::getFirst () const
{
	return first;
}

List * NonEmptyList::getRest () const {
	return rest;
}

int NonEmptyList::length () const
{
	return 1 + rest->length ();
}
