#ifndef _NEL_H_
#define _NEL_H_
#include "List.h"
#include <string>
using namespace std;

template <class C>
class NonEmptyList<C> : public List<C> {
private:
	C first;
	List<C> *rest;
public:
	// constructors
	NonEmptyList (C f, List<C> *r);
	NonEmptyList (const NonEmptyList<C> &other);

	// access methods
	C getFirst () const;

	List<C> *getRest () const;

	// other interesting methods
	int length (void) const;
	template<class Result>
	List<Result> * map (Result (*f)(C));

// protected:
	string descrHelper (void) const;
};

#endif
